'''
name: Rafael STROHMAYER-DANGL
username: 20250067
file: iban.py
'''
def checkIban(iban):
    '''
    returns: Bool, str
             ╚═╦╝  ╚╦╝         
               ║    ╚ Nachricht
               ╚ Ist gültig?    
    '''
    iban = iban.replace(" ", "")
    if iban[:2] != "AT":
        return False, "Der Ländercode ist nicht 'AT'"
    if len(iban) != 20:
        return False, "Die IBAN ist zu lang / zu kurz"

    iban = iban[4:] + iban[:4]
    iban = iban.replace("A", "10")
    iban = iban.replace("T", "29")
    iban = int(iban)
    if not iban % 97 == 1:
        return False, "Die Prüfziffer ist nicht gültig"
    return True, "Die IBAN ist gültig"

def main():
    iban = "AT617 601300 035746811"
    isValid, message = checkIban(iban)
    print(message)

main()